/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.275 Revision 1.465
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.275 2007/05/24 18:17:45 rbrown Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.465 2010/08/18 16:51:32 flameeyes Exp $
4
5*ruby-1.9.2_rc2-r1 (18 Aug 2010)
6
7 18 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
8 +ruby-1.9.2_rc2-r1.ebuild, metadata.xml:
9 Update ebuild; apply webrick security patch; unbundle minitest, rdoc 2 and
10 the rubygems loading code. Add USE flag for psych.
11
12 17 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
13 ruby-1.9.2_rc2.ebuild:
14 Remove two keepdir that will try to keep an empty path, closes bug
15 #333163.
16
17 16 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.9.2_rc2.ebuild:
18 Marked ~ppc (bug #332593).
19
20 15 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
21 ruby-1.9.2_rc2.ebuild:
22 Remove libedit USE flag from 1.9.2 because of upstream bug #3698.
23
24 13 Aug 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
25 ruby-1.8.7_p299.ebuild:
26 Bump eselect-ruby dependency
27
28 13 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
29 -ruby-1.9.1_p429.ebuild:
30 Remove ebuild that is not target for unmask anyway.
31
32 21 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
33 ruby-1.9.2_rc2.ebuild:
34 Try 2 to fix the berkdb 5 issue on 1.9.
35
36 20 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
37 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p299.ebuild, ruby-1.9.1_p429.ebuild,
38 ruby-1.9.2_rc2.ebuild:
39 Add a new patchset to add support for Berkeley DB 5.0 (bug #326937). Add
40 support for adding new patchsets without bumping the revision for all the
41 old ebuilds as well.
42
43*ruby-1.9.2_rc2 (14 Jul 2010)
44
45 14 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
46 +ruby-1.9.2_rc2.ebuild:
47 Bump to 1.9.2 release candidate, that works with OpenSSL 1. This version
48 might cause _further_ build failures as it changed slightly behaviour.
49 You're going to need to rebuild rubygems and then all the packages
50 previously installed after upgrading to this.
51
52 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
53 -ruby-1.8.7_p249-r1.ebuild, -ruby-1.8.7_p249-r2.ebuild,
54 -ruby-1.9.1_p376.ebuild:
55 Cleanup old versions.
56
57*ruby-1.9.1_p429 (04 Jul 2010)
58
59 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
60 +ruby-1.9.1_p429.ebuild:
61 Version bump to new 1.9.1 release.
62
63*ruby-1.8.7_p299 (23 Jun 2010)
64
65 23 Jun 2010; Diego E. Pettenò <flameeyes@gentoo.org>
66 +ruby-1.8.7_p299.ebuild:
67 Version bump.
68
69 19 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
70 ruby-1.8.7_p249-r2.ebuild, ruby-1.9.1_p376.ebuild:
71 remove useless comments
72
73 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
74 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p249-r2.ebuild,
75 ruby-1.9.1_p376.ebuild:
76 Update ebuilds to be consistent with ruby-enterprise; patches are moved to
77 dev.gentoo.org now.
78
79 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
80 ruby-1.9.1_p376.ebuild:
81 Use the correct RUBYLIB.
82
83*ruby-1.8.7_p249-r2 (18 May 2010)
84*ruby-1.8.6_p388-r1 (18 May 2010)
85
86 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
87 +ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.7_p249-r2.ebuild,
88 ruby-1.9.1_p376.ebuild, metadata.xml:
89 Add patches to build with BerkDB 5.0 (bug #319583) and OpenSSL 1.0 (bug
90 #304427) to Ruby 1.8.x. Also use --no-undefined as it's done for 1.9. Also
91 add USE flags for ncurses, readline and libedit, and properly depend on
92 zlib. Drop emacs USE flag and dependency on app-emacs/ruby-mode as the new
93 Emacs versions support ruby-mode themselves and it should be even more
94 updated.
95
96*ruby-1.8.7_p249-r1 (06 May 2010)
97
98 06 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p249-r1.ebuild:
99 Revbump 1.8.7 to add patch for threading/timeout-related hangs. Closes bug
100 309789 by Sune Kloppenborg Jeppesen.
101
102 06 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
103 ruby-1.8.7_p249.ebuild:
104 Use $PVR instead of $PV in patchset names
105
106 06 May 2010; Alex Legler <a3li@gentoo.org>
107 -files/ruby-1.8.6-memory-leak.diff,
108 -files/ruby18-mkmf-parallel-install.patch,
109 -files/ruby-1.8.6-uclibc-udp.patch, -ruby-1.9.1_p243.ebuild,
110 -files/auto_gem.rb, -files/ruby-mkconfig.patch:
111 Remove old version. Cleanup in files/
112
113*ruby-1.9.1_p376 (01 May 2010)
114
115 01 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.1_p376.ebuild:
116 Version bump. Fixes security bugs 296052 and 300468. No longer installs
117 rubygems or auto_gem.rb. Use dev-ruby/rubygems[ruby_targets_ruby19]
118 instead.
119
120 13 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p369.ebuild,
121 -ruby-1.8.7_p174-r1.ebuild:
122 Remove vulnerable ebuilds, 300468
123
124 13 Jan 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
125 ruby-1.8.7_p249.ebuild:
126 amd64 stable, security bug 300468
127
128 13 Jan 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p388.ebuild,
129 ruby-1.8.7_p249.ebuild:
130 alpha/arm/ia64/s390/sh/sparc stable wrt #300468
131
132 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p249.ebuild:
133 Stable for HPPA (bug #300468).
134
135 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p388.ebuild:
136 Stable for HPPA (bug #300468).
137
138 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p249.ebuild:
139 Marking ruby-1.8.7_p249 ppc64 and ppc for bug 300468
140
141 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p388.ebuild:
142 Marking ruby-1.8.6_p388 ppc64 and ppc for bug 300468
143
144 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
145 ruby-1.8.6_p388.ebuild:
146 stable x86, security bug 300468
147
148 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
149 ruby-1.8.7_p249.ebuild:
150 stable x86, security bug 300468
151
152*ruby-1.8.6_p388 (10 Jan 2010)
153
154 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p383.ebuild,
155 +ruby-1.8.6_p388.ebuild:
156 Version bump (1.8.6), security bug 300468. Remove unneded vulnerable
157 version. The new ebuild also has the fix for bug 168939.
158
159*ruby-1.8.7_p249 (10 Jan 2010)
160
161 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p248.ebuild,
162 +ruby-1.8.7_p249.ebuild:
163 Version bump (1.8.7) for security bug 300468, removing unneeded vulnerable
164 version
165
166 02 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
167 Marking ruby-1.8.7_p174-r1 ppc64 for bug 288699
168
169*ruby-1.8.7_p248 (25 Dec 2009)
170
171 25 Dec 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p248.ebuild:
172 Version bump
173
174 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
175 Remove old version.
176
177 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
178 Remove old version.
179
180 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
181 ia64/s390/sh stable wrt #288699
182
183 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
184 stable sparc, bug 288699
185
186 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
187 arm stable, bug #288699
188
189 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
190 amd64/x86 stable, bug #288699
191
192 24 Oct 2009; Tobias Klausmann <klausman@gentoo.org>
193 ruby-1.8.7_p174-r1.ebuild:
194 Stable on alpha, bug #288699
195
196 24 Oct 2009; nixnut <nixnut@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
197 ppc stable #288699
198
199 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
200 Stable for HPPA (bug #288699).
201
202 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.9.1_p243.ebuild:
203 Marked ~hppa too.
204
205*ruby-1.8.7_p174-r1 (06 Oct 2009)
206
207 06 Oct 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p174-r1.ebuild:
208 Revision bump. Added fix for bug 168939 (ipv6), now uses the new
209 eselect-ruby cleanup feature.
210
211*ruby-1.9.1_p243 (09 Sep 2009)
212
213 09 Sep 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1_p129.ebuild,
214 -ruby-1.9.1_p129-r1.ebuild, +ruby-1.9.1_p243.ebuild,
215 -files/ruby-1.9.1_p129-gfbsd7.patch, -files/ruby19-rubygems-gentoo.patch,
216 -files/ruby-1.9.1_p129-no-undefined-ext.patch,
217 -files/ruby19-rubygems-proxy.patch,
218 -files/ruby-1.9.1_p129-parallelmake.patch,
219 -files/ruby19-mkmf-parallel-install.patch:
220 Version bump. Fixing bugs 278899 by Daniel Robbins, 279825, 277210 and
221 168939. Cleaning up old patches.
222
223*ruby-1.8.6_p383 (20 Aug 2009)
224
225 20 Aug 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p383.ebuild:
226 Patchlevel bump.
227
228 31 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
229 ruby-1.8.6_p369.ebuild, ruby-1.8.7_p174.ebuild, ruby-1.9.1_p129.ebuild,
230 ruby-1.9.1_p129-r1.ebuild:
231 Move USE defaults berkdb and gdbm from profiles/base/package.use to here.
232
233 28 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p368.ebuild:
234 Removing vulnerable ebuild, bug 273213.
235
236 21 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
237 Marking ruby-1.8.6_p369 ppc for bug 273213
238
239 20 Jun 2009; Diego E. Pettenò <flameeyes@gentoo.org>
240 ruby-1.9.1_p129-r1.ebuild:
241 Prepend our library path instead of overwriting it during src_install.
242 Thanks to the reporter of bug #274824.
243
244*ruby-1.8.7_p174 (18 Jun 2009)
245
246 18 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild,
247 -ruby-1.8.7_p173.ebuild, +ruby-1.8.7_p174.ebuild:
248 Replacing 187_p173 with _p174 because of a regression. Unifying the
249 ebuilds by adding unset RUBYOPT to the 186 ebuild. Migrated 187_p174 to
250 patchsets.
251
252 17 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
253 Marking ruby-1.8.6_p369 ppc64 for bug 273213
254
255 16 Jun 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p369.ebuild:
256 arm/ia64/s390/sh/sparc stable wrt #273213
257
258 16 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild,
259 ruby-1.8.6_p369.ebuild, -ruby-1.8.7_p160.ebuild:
260 Removing old version, minor cleanup
261
262 14 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p114.ebuild,
263 -files/ruby-1.8.6-openssl.patch,
264 -files/ruby-1.8.6-shortname_constants.patch,
265 -files/ruby-1.8.6_p111-r13657.patch,
266 -files/ruby-1.8.6_p287-entity_expansion_limit.diff:
267 Removing vulnerable old Ruby version and stale patches, bug 274108.
268
269 11 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
270 ruby-1.8.6_p369.ebuild:
271 Stable on alpha, bug #273213
272
273 10 Jun 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p369.ebuild:
274 Stable for HPPA (bug #273213).
275
276 10 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
277 ruby-1.8.6_p369.ebuild:
278 stable x86, security bug 273213
279
280 10 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild:
281 amd64 stable, security bug 273213.
282
283*ruby-1.8.7_p173 (10 Jun 2009)
284*ruby-1.8.6_p369 (10 Jun 2009)
285
286 10 Jun 2009; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p369.ebuild,
287 +ruby-1.8.7_p173.ebuild:
288 Version bumps for bug #273213.
289
290*ruby-1.9.1_p129-r1 (27 May 2009)
291
292 27 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
293 +ruby-1.9.1_p129-r1.ebuild, +files/ruby-1.9.1_p129-gfbsd7.patch,
294 +files/ruby-1.9.1_p129-no-undefined-ext.patch,
295 +files/ruby-1.9.1_p129-parallelmake.patch:
296 Revision bump, add patches 1) to make Ruby behave more similarly between
297 Linux and (Gentoo/)FreeBSD; 2) to force --no-undefined when building Ruby
298 extensions (undefined symbols in them will cause abort at runtime 3) to
299 remove a concurrency issue when building the dl extension that could
300 result in a broken dl.so.
301
302 24 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
303 ruby-1.8.7_p160.ebuild, ruby-1.9.1_p129.ebuild:
304 Don't block rdoc-2 or later (which may enter Portage one day as it's
305 needed by some Rakefiles).
306
307 15 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
308 ruby-1.9.1_p129.ebuild:
309 Add ~x86-fbsd keyword.
310
311 15 May 2009; Alexis Ballier <aballier@gentoo.org> ruby-1.8.7_p160.ebuild:
312 keyword ~sparc-fbsd, bug #252315
313
314*ruby-1.9.1_p129 (15 May 2009)
315
316 15 May 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1-r1.ebuild,
317 +ruby-1.9.1_p129.ebuild, -files/ruby-ossl_ocsp-verification.patch:
318 Patchlevel bump, closes bug 267453. Removing OSCP verification patch, now
319 included in every release.
320
321 10 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p114.ebuild,
322 -ruby-1.8.6_p287-r5.ebuild, -ruby-1.8.6_p287-r13.ebuild,
323 ruby-1.8.6_p368.ebuild, -ruby-1.8.7_p72-r11.ebuild,
324 ruby-1.8.7_p160.ebuild:
325 Removing vulnerable versions (#268515), fixing license (#233747).
326
327 09 May 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p368.ebuild:
328 Stable for HPPA (bug #268515).
329
330 09 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.9.1-r1.ebuild:
331 Adapting rubygems notice.
332
333 08 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild:
334 amd64 stable, bug #268515.
335
336 08 May 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p368.ebuild:
337 arm/ia64/s390/sh/sparc stable wrt #268515
338
339 07 May 2009; Christian Faulhammer <fauli@gentoo.org>
340 ruby-1.8.6_p368.ebuild:
341 stable x86, security bug 268515
342
343 07 May 2009; Tobias Klausmann <klausman@gentoo.org>
344 ruby-1.8.6_p368.ebuild:
345 Stable on alpha, bug #268515
346
347 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
348 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
349
350*ruby-1.8.7_p160 (07 May 2009)
351*ruby-1.8.6_p368 (07 May 2009)
352
353 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
354 +ruby-1.8.7_p160.ebuild:
355 Version bump as per secbug 268515. NB: These are the first ebuilds that
356 no longer use ruby-config.
357
358*ruby-1.9.1-r1 (03 Apr 2009)
359*ruby-1.8.7_p72-r11 (03 Apr 2009)
360*ruby-1.8.6_p287-r13 (03 Apr 2009)
361
362 03 Apr 2009; Alex Legler <a3li@gentoo.org>
363 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
364 +files/ruby18-mkmf-parallel-install.patch,
365 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
366 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
367 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
368 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
369 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
370 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
371 happy.
372
373*ruby-1.9.1 (21 Mar 2009)
374
375 21 Mar 2009; Alex Legler <a3li@gentoo.org>
376 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
377 +ruby-1.9.1.ebuild:
378 Adding Ruby 1.9.1 for preliminary testing
379
380 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
381 ruby-1.8.6_p287-r12.ebuild:
382 Marked ~ppc for bug #252315.
383
384 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
385 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
386 bug 261982.
387
388 09 Mar 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p287-r1.ebuild,
389 -ruby-1.8.6_p287-r3.ebuild, -ruby-1.8.6_p287-r4.ebuild,
390 -ruby-1.8.6_p287-r10.ebuild, -ruby-1.8.6_p287-r11.ebuild,
391 -ruby-1.8.7_p72-r1.ebuild, -ruby-1.8.7_p72-r2.ebuild:
392 Cleanup
393
394*ruby-1.8.7_p72-r10 (07 Mar 2009)
395
396 07 Mar 2009; Diego E. Pettenò <flameeyes@gentoo.org>
397 +ruby-1.8.7_p72-r10.ebuild:
398 Add a revision of ruby 1.8.7 using eselect ruby.
399
400 03 Mar 2009; Peter Volkov <pva@gentoo.org> ruby-1.8.6_p287-r12.ebuild:
401 ~mips keyworded, bug #252315.
402
403 25 Feb 2009; Tobias Scherbaum <dertobi123@gentoo.org>
404 ruby-1.8.6_p287-r5.ebuild:
405 ppc stable, bug #260006
406
407 25 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
408 arm/ia64/s390/sh/sparc/x86 stable wrt #260006
409
410 24 Feb 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p287-r5.ebuild,
411 ruby-1.8.6_p287-r12.ebuild, ruby-1.8.7_p72-r2.ebuild:
412 Fixing Tk USE flag test, bug 258893.
413
414 23 Feb 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
415 Marking ruby-1.8.6_p287-r5 ppc64 for bug 260006
416
417 23 Feb 2009; Tobias Heinlein <keytoaster@gentoo.org>
418 ruby-1.8.6_p287-r5.ebuild:
419 amd64 stable wrt security bug #260006
420
421 23 Feb 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
422 Stable for HPPA (bug #260006).
423
424 23 Feb 2009; Tobias Klausmann <klausman@gentoo.org>
425 ruby-1.8.6_p287-r5.ebuild:
426 Stable on alpha, bug #260006
427
428*ruby-1.8.7_p72-r2 (23 Feb 2009)
429*ruby-1.8.6_p287-r12 (23 Feb 2009)
430*ruby-1.8.6_p287-r5 (23 Feb 2009)
431
432 23 Feb 2009; Alex Legler <a3li@gentoo.org> +files/ruby-mkconfig.patch,
433 +files/ruby-ossl_ocsp-verification.patch, +ruby-1.8.6_p287-r5.ebuild,
434 +ruby-1.8.6_p287-r12.ebuild, +ruby-1.8.7_p72-r2.ebuild:
435 Revision bumps for security bug 260006 (X.509 certificate spoofing). Also
436 fixing bugs 234877 (backported patch for mkconfig), 258893 (ebuild dies
437 now before compilation if Tk useflags don't match) and 230748 (adding
438 --enable-option-checking=no for newer versions of autoconf).
439
440 10 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
441 arm/ia64/s390/sh/sparc stable wrt #254307
442
443 25 Jan 2009; Tobias Klausmann <klausman@gentoo.org>
444 ruby-1.8.6_p287-r4.ebuild:
445 Stable on alpha, bug #254307
446
447 20 Jan 2009; Alexis Ballier <aballier@gentoo.org>
448 ruby-1.8.6_p287-r11.ebuild:
449 keyword ~x86-fbsd, bug #252315
450
451 17 Jan 2009; nixnut <nixnut@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
452 ppc stable #254307
453
454 15 Jan 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
455 amd64/x86 stable, bug #254307
456
457 14 Jan 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
458 stable ppc64, bug 254307
459
460 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
461 Stable for HPPA (bug #254307).
462
463 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r10.ebuild,
464 ruby-1.8.6_p287-r11.ebuild:
465 Marked ~hppa (bug #252315).
466
467*ruby-1.8.6_p287-r11 (11 Jan 2009)
468
469 11 Jan 2009; Hans de Graaff <graaff@gentoo.org>
470 +files/ruby-1.8.6-openssl.patch, +ruby-1.8.7_p287-r4,
471 +ruby-1.8.6_p287-r11.ebuild:
472 Backport conditional definition of missing openssl functions from ruby 1.8.7.
473 Fixes #254307.
474
475 29 Dec 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
476 Marking ruby-1.8.6_p287-r10 ~ppc64 for bug 252315
477
478 26 Dec 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
479 Add ~alpha/~arm/~ia64/~s390/~sh wrt #251159
480
481 24 Dec 2008; Friedrich Oslage <bluebird@gentoo.org>
482 ruby-1.8.6_p287-r10.ebuild:
483 Add ~sparc keyword, bug #252315
484
485*ruby-1.8.6_p287-r10 (23 Dec 2008)
486
487 23 Dec 2008; Hans de Graaff <graaff@gentoo.org>
488 +ruby-1.8.6_p287-r10.ebuild:
489 Version bump which switches from ruby-config to eselect-ruby. Dropped most
490 keywords since eselect-ruby does not yet have these keywords.
491
492 23 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
493 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
494 Revert the ruby-config changes. We can't remove them until we provide an
495 alternative outside the ebuilds, and eselect-ruby isn't stable yet. Apologies
496 for breaking things as mentioned in bug #251833.
497
498 22 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
499 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
500 ruby-1.8.7_p72-r1.ebuild:
501 Remove pkg_postinst and pkg_postrm functions now that ruby-config is gone.
502 Thanks for the people noticing this in bug #251833.
503
504 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
505 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
506 ruby-1.8.7_p72-r1.ebuild:
507 Drop dependency on ruby-config, which will be removed from the tree. We
508 currently only have one major version of ruby in the tree (Ruby 1.8), so there
509 is no need for ruby-config at this moment. For newer versions of Ruby we will
510 use eselect-ruby, which can be found in the ruby overlay at the moment.
511
512 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
513 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
514 Use mirror://ruby in SRC_URI, fixes #237392.
515
516 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p111.ebuild,
517 -ruby-1.8.6_p111-r1.ebuild, -ruby-1.8.6_p287-r2.ebuild,
518 -ruby-1.8.7_p72.ebuild:
519 Remove old versions. Leave one old stable version with cjk support.
520
521*ruby-1.8.6_p287-r3 (29 Nov 2008)
522
523 29 Nov 2008; Hans de Graaff <graaff@gentoo.org>
524 files/ruby-1.8.6_p287-entity_expansion_limit.diff,
525 +ruby-1.8.6_p287-r3.ebuild:
526 Fix our expansion limit patch according to debian bug report
527 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502535 and bump the ebuild to
528 make sure people will pick up the fixed version. Thanks to Alex Legler for
529 mentioning the patch.
530
531*ruby-1.8.7_p72-r1 (26 Nov 2008)
532*ruby-1.8.6_p287-r2 (26 Nov 2008)
533
534 26 Nov 2008; Hans de Graaff <graaff@gentoo.org>
535 +files/ruby-1.8.6-shortname_constants.patch, +ruby-1.8.6_p287-r2.ebuild,
536 +ruby-1.8.7_p72-r1.ebuild:
537 Fix problem with shortname constants #247790, already fixed in upstream SVN.
538 Thanks to Alex Legler for providing the patch.
539
540 26 Nov 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p286.ebuild,
541 -ruby-1.8.6_p287.ebuild:
542 Remove versions that will not become stable
543
544 16 Sep 2008; Tobias Scherbaum <dertobi123@gentoo.org>
545 ruby-1.8.6_p287-r1.ebuild:
546 ppc stable, bug #225465
547
548 11 Sep 2008; Tobias Heinlein <keytoaster@gentoo.org>
549 ruby-1.8.6_p287-r1.ebuild:
550 amd64 stable wrt security bug #225465
551
552 11 Sep 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
553 alpha/ia64/x86 stable wrt #225465
554
555 11 Sep 2008; Ferris McCormick <fmccor@gentoo.org>
556 ruby-1.8.6_p287-r1.ebuild:
557 Sparc stable --- Security Bug #225465 --- good since late August.
558
559 11 Sep 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
560 Stable on ppc64; bug #225465
561
562 11 Sep 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
563 Stable for HPPA (bug #225465).
564
565*ruby-1.8.6_p287-r1 (29 Aug 2008)
566
567 29 Aug 2008; Hans de Graaff <graaff@gentoo.org>
568 +files/ruby-1.8.6_p287-entity_expansion_limit.diff,
569 +ruby-1.8.6_p287-r1.ebuild:
570 Fix REXML security issues, bug #236060.
571
572 23 Aug 2008; Jeroen Roovers <jer@gentoo.org> metadata.xml:
573 Add GLEP 56 USE flag descriptions.
574
575*ruby-1.8.7_p72 (15 Aug 2008)
576
577 15 Aug 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_p22.ebuild,
578 +ruby-1.8.7_p72.ebuild:
579 bump 1.8.7 to latest patch release
580
581*ruby-1.8.6_p287 (11 Aug 2008)
582
583 11 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p287.ebuild:
584 Version bump for brown paper bag relelease.
585
586 10 Aug 2008; Hans de Graaff <graaff@gentoo.org>
587 -files/ruby-1.8.6-revert-r15856.patch, -ruby-1.8.6_p230.ebuild:
588 Remove broken version in favor of the just-added 1.8.6_p286
589
590*ruby-1.8.6_p286 (10 Aug 2008)
591
592 10 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p286.ebuild:
593 Version bump to latest released version of ruby 1.8.6. This version fixes the
594 security issues reported in #225465 and #234224. The cjk USE flag has been
595 dropped since no compatible patches have been released yet.
596
597 25 Jul 2008; Michael Sterrett <mr_bones_@gentoo.org>
598 ruby-1.8.6_p230.ebuild:
599 drop cjk from SRC_URI as well
600
601 15 Jul 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p230.ebuild:
602 Drop cjk support since the most recent oniguruma patches no longer apply to
603 this version, #230111.
604
605 29 Jun 2008; Hans de Graaff <graaff@gentoo.org>
606 +files/ruby-1.8.6-revert-r15856.patch, +ruby-1.8.6_p230.ebuild:
607 Try to fix the security issues reported in #225465 for ruby 1.8.6.
608 Unfortunately the official p230 has a change which causes segmentation faults
609 for applications like Rails and RSpec, so we are reverting that specific
610 change.
611
612*ruby-1.8.7_p22 (29 Jun 2008)
613
614 29 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7.ebuild,
615 +ruby-1.8.7_p22.ebuild:
616 bump 1.8.7 for security fix
617
618 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.6_p230.ebuild:
619 nevermind, don't bump this yet
620
621*ruby-1.8.6_p230 (20 Jun 2008)
622
623 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> +ruby-1.8.6_p230.ebuild:
624 version bump
625
626*ruby-1.8.7 (10 Jun 2008)
627
628 10 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_pre2.ebuild,
629 +ruby-1.8.7.ebuild:
630 bump 1.8.7 to final
631
632*ruby-1.8.7_pre2 (21 Apr 2008)
633
634 21 Apr 2008; Richard Brown <rbrown@gentoo.org> -ruby-1.8.7_pre1.ebuild,
635 +ruby-1.8.7_pre2.ebuild:
636 Version Bump
637
638*ruby-1.8.7_pre1 (16 Apr 2008)
639
640 16 Apr 2008; Richard Brown <rbrown@gentoo.org> +ruby-1.8.7_pre1.ebuild:
641 Version bump. Drop cjk until a new version of oniguruma appears.
642
643 06 Mar 2008; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p114.ebuild:
644 amd64 stable, bug 212264
645
646 06 Mar 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p114.ebuild:
647 Stable for HPPA (bug #212264).
648
649 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org>
650 ruby-1.8.6_p114.ebuild:
651 ppc stable, bug #212264
652
653 05 Mar 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p114.ebuild:
654 alpha/ia64 stable wrt #212264
655
656 05 Mar 2008; Christian Faulhammer <opfer@gentoo.org>
657 ruby-1.8.6_p114.ebuild:
658 stable x86, security bug 212264
659
660 05 Mar 2008; Ferris McCormick <fmccor@gentoo.org> ruby-1.8.6_p114.ebuild:
661 Sparc stable, Security Bug #212264, builds and installs, initial tests run
662 as expected.
663
664 05 Mar 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p114.ebuild:
665 Marking ruby-1.8.6_p114 ppc64 for bug 212264
666
667*ruby-1.8.6_p114 (05 Mar 2008)
668
669 05 Mar 2008; Richard Brown <rbrown@gentoo.org>
670 -files/ruby-1.8.4-glibc24-eaccess.diff, -files/ruby-1.8.4-yaml.diff,
671 -files/ruby-1.8.5_p113-net-http-p114.patch, -ruby-1.8.4-r3.ebuild,
672 -ruby-1.8.5_p113.ebuild, +ruby-1.8.6_p114.ebuild:
673 Version bump for #212264. Remove old ebuilds.
674
675 17 Feb 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
676 alpha/ia64 stable wrt #208916
677
678 17 Feb 2008; nixnut <nixnut@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
679 Stable on ppc wrt bug 208916
680
681 16 Feb 2008; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
682 x86 stable, bug #208916
683
684 16 Feb 2008; Ferris McCormick <fmccor@gentoo.org>
685 ruby-1.8.6_p111-r1.ebuild:
686 Sparc stable --- Bug #208916 --- working well for about 6 weeks.
687
688 15 Feb 2008; Richard Brown <rbrown@gentoo.org>
689 -files/ruby-1.8.6-exit-status.patch,
690 -files/ruby-1.8.6_p110-net-http-p111.patch,
691 -files/ruby-1.8.6_p36-rb_thread_status_prototype.patch,
692 -ruby-1.8.5_p2-r1.ebuild, -ruby-1.8.6-r1.ebuild,
693 -ruby-1.8.6_p110-r1.ebuild, -ruby-1.8.6_p110-r2.ebuild:
694 Remove old versions
695
696 05 Feb 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
697 Stable on ppc64
698
699 26 Dec 2007; Peter Weller <welp@gentoo.org> ruby-1.8.6_p111.ebuild:
700 Stable on amd64; bug 199191
701
702 24 Dec 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111.ebuild:
703 alpha/ia64/sparc stable wrt #199191
704
705 24 Dec 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
706 Remove now-obsolete warning about coreutils versions, #203156.
707
708 24 Dec 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
709 Stable for HPPA (bug #199191).
710
711*ruby-1.8.6_p111-r1 (23 Dec 2007)
712
713 23 Dec 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p111-r1.ebuild:
714 Remove dependencies on system packages. Add berkdb (bug #199705), gdbm and
715 ssl USE flags. Patch to p113.
716
717 23 Dec 2007; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p111.ebuild:
718 Marking ruby-1.8.6_p111 ppc and ppc64 for bug 199191
719
720 23 Dec 2007; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111.ebuild:
721 x86 stable, security bug #199191
722
723*ruby-1.8.6_p111 (23 Dec 2007)
724
725 23 Dec 2007; Richard Brown <rbrown@gentoo.org>
726 +files/ruby-1.8.6_p111-r13657.patch, +ruby-1.8.6_p111.ebuild:
727 Version bump with patch for bug #199191
728
729 14 Dec 2007; Ulrich Mueller <ulm@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
730 Move dependency on (X)Emacs modes to PDEPEND.
731
732 25 Oct 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
733 Add back ~hppa keyword now that XEmacs support files have been keyworded,
734 bug 196413
735
736*ruby-1.8.6_p110-r2 (21 Oct 2007)
737
738 21 Oct 2007; Hans de Graaff <graaff@gentoo.org>
739 +ruby-1.8.6_p110-r2.ebuild:
740 Add emacs and xemacs USE flags and use them to pull in the correct editing
741 mode for each. Had to drop several arch keywords as reported on bug 196413.
742
743 13 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
744 amd64 stable, security bug 194236
745
746 11 Oct 2007; Markus Rothe <corsair@gentoo.org> ruby-1.8.5_p113.ebuild,
747 ruby-1.8.6_p110-r1.ebuild:
748 Stable on ppc64; bug #194236
749
750 09 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6-r1.ebuild:
751 amd64 stable, security bug 194236
752
753 08 Oct 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
754 Stable for HPPA (bug #194236).
755
756 08 Oct 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
757 alpha/ia64/sparc stable wrt security #194236
758
759 07 Oct 2007; Tobias Scherbaum <dertobi123@gentoo.org>
760 ruby-1.8.6_p110-r1.ebuild:
761 ppc stable, bug #194236
762
763 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
764 ruby-1.8.6_p110-r1.ebuild:
765 stable x86, security bug 194236
766
767 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
768 ruby-1.8.5_p113.ebuild:
769 stable x86, security bug 194236
770
771 07 Oct 2007; Richard Brown <rbrown@gentoo.org> -ruby-1.8.5_p35.ebuild,
772 -ruby-1.8.6_p36-r3.ebuild, -ruby-1.8.6_p36-r4.ebuild,
773 -ruby-1.8.6_p110.ebuild:
774 Remove old versions
775
776*ruby-1.8.6_p110-r1 (30 Sep 2007)
777*ruby-1.8.5_p113 (30 Sep 2007)
778
779 30 Sep 2007; Richard Brown <rbrown@gentoo.org>
780 +files/ruby-1.8.5_p113-net-http-p114.patch,
781 +files/ruby-1.8.6_p110-net-http-p111.patch, +ruby-1.8.5_p113.ebuild,
782 +ruby-1.8.6_p110-r1.ebuild:
783 Fix bug #194236. Bump 1.8.6 to p111 as p110-r1. Bump 1.8.5 to p114 as p113,
784 using 1.8.6-p110 as base ebuild.
785
786 24 Sep 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.6_p110.ebuild:
787 More fixes from gentoo-dev and graaff
788
789 24 Sep 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.6_p110.ebuild:
790 Implement suggestions from http://archives.gentoo.org/gentoo-dev/msg_147875.xml
791
792*ruby-1.8.6_p110 (24 Sep 2007)
793
794 24 Sep 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p110.ebuild:
795 Version bump
796
797*ruby-1.8.6_p36-r4 (26 Aug 2007)
798
799 26 Aug 2007; Nguyễn Thái Ngọc Duy <pclouds@gentoo.org>
800 +ruby-1.8.6_p36-r4.ebuild:
801 Use user LDFLAGS, #181436
802
803 17 Aug 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.4-r3.ebuild,
804 ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p35.ebuild:
805 MANIFEST was already gone in ruby 1.8.4, so remove it also from the old
806 ebuilds, including the currently stable 1.8.5_p2-r1, #189241.
807
808 17 Aug 2007; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.5_p2.ebuild,
809 -ruby-1.8.5_p12.ebuild, -ruby-1.8.6_p36-r1.ebuild,
810 -ruby-1.8.6_p36-r2.ebuild:
811 Remove some older versions that will not be promoted to stable, keeping at
812 least one version of each release.
813
814 05 Jul 2007; Piotr Jaroszyński <peper@gentoo.org>
815 ruby-1.8.6_p36-r3.ebuild:
816 (QA) RESTRICT clean up.
817
818*ruby-1.8.6_p36-r3 (04 Jul 2007)
819
820 04 Jul 2007; Mike Doty <kingtaco@gentoo.org>
821 +files/ruby-1.8.6-memory-leak.diff, +ruby-1.8.6_p36-r3.ebuild:
822 fixed memory leak loading .so bug #182946
823
824 02 Jul 2007; Piotr Jaroszyński <peper@gentoo.org> ruby-1.8.4-r3.ebuild,
825 ruby-1.8.5_p2.ebuild, ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p12.ebuild,
826 ruby-1.8.5_p35.ebuild, ruby-1.8.6-r1.ebuild, ruby-1.8.6_p36-r1.ebuild,
827 ruby-1.8.6_p36-r2.ebuild:
828 (QA) RESTRICT clean up.
829
830 21 Jun 2007; Fernando J. Pereda <ferdy@gentoo.org> ruby-1.8.6-r1.ebuild:
831 Re-add stable keyword for alpha as per bug #181110
832
833 21 Jun 2007; Christoph Mende <angelos@gentoo.org> ruby-1.8.6-r1.ebuild:
834 Back to ~amd64 wrt bug 181110
835
836 21 Jun 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6-r1.ebuild:
837 Mark 1.8.6 unstable on alpha/ia64/x86 wrt #181110
838
839*ruby-1.8.6_p36-r2 (20 Jun 2007)
840
841 20 Jun 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p36-r2.ebuild:
842 Re-add cjk USE flag, thanks to Hannes Wyss, bug #182671
843
844*ruby-1.8.6_p36-r1 (18 Jun 2007)
845
846 18 Jun 2007; Richard Brown <rbrown@gentoo.org>
847 +files/ruby-1.8.6_p36-rb_thread_status_prototype.patch,
848 -ruby-1.8.6_p36.ebuild, +ruby-1.8.6_p36-r1.ebuild:
849 Add prototype fix from ruby -r12567 [ruby-list:43615]. Thanks to peper and
850 spbecker
851
852 14 Jun 2007; Christoph Mende <angelos@gentoo.org> ruby-1.8.6-r1.ebuild:
853 Stable on amd64 wrt bug 181110
854
855*ruby-1.8.6_p36 (12 Jun 2007)
856
857 12 Jun 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p36.ebuild:
858 Version Bump. Bug #181379
859
860 10 Jun 2007; Joshua Kinard <kumba@gentoo.org> ruby-1.8.6-r1.ebuild:
861 Stable on mips, per #181110.
862
863 09 Jun 2007; nixnut <nixnut@gentoo.org> ruby-1.8.6-r1.ebuild:
864 Stable on ppc wrt bug 181110
865
866 09 Jun 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6-r1.ebuild:
867 Stable for HPPA (bug #181110).
868
869 09 Jun 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6-r1.ebuild:
870 alpha/ia64/x86 stable wrt #181110
871
872 07 Jun 2007; Gustavo Zacarias <gustavoz@gentoo.org> ruby-1.8.6-r1.ebuild:
873 Stable on sparc wrt #181110
874
875 06 Jun 2007; Brent Baude <ranger@gentoo.org> ruby-1.8.6-r1.ebuild:
876 Marking ruby-1.8.6-r1 ppc64 stable for bug#181110
4 877
5 24 May 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.4-r3.ebuild, 878 24 May 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.4-r3.ebuild,
6 ruby-1.8.5_p2.ebuild, ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p12.ebuild, 879 ruby-1.8.5_p2.ebuild, ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p12.ebuild,
7 ruby-1.8.5_p35.ebuild: 880 ruby-1.8.5_p35.ebuild:
8 Add RESTRICT="test" to ebuilds that have no hope of passing. 881 Add RESTRICT="test" to ebuilds that have no hope of passing.

Legend:
Removed from v.1.275  
changed lines
  Added in v.1.465

  ViewVC Help
Powered by ViewVC 1.1.20